Skip to main content
GET
/
api
/
v1
/
settings
/
ai-governance
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.aiGovernanceSettings.get();

  console.log(result);
}

run();
curl --request GET \
  --url https://{tenantDomain}.conductor.one/api/v1/settings/ai-governance \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}.conductor.one/api/v1/settings/ai-governance"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}.conductor.one/api/v1/settings/ai-governance', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "aiGovernanceSettings": {
    "allowedClientTypes": [],
    "autoDiscoveryEnabled": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "defaultClientLifecycle": {
      "inactivityCloseAfter": "<string>",
      "inactivityHideAfter": "<string>",
      "retentionDeleteAfter": "<string>"
    },
    "discoveryInterval": "<string>",
    "enabled": true,
    "preferCodeModeOverDirectTools": true,
    "requireToolApproval": true,
    "surfaceRequestableTools": true,
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Response

200 - application/json

Successful response

The GetAIGovernanceSettingsResponse message.

aiGovernanceSettings
Ai Governance Settings · object | null

The AIGovernanceSettings message.